package com.ruoyi.demo.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.BrandStatistics;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class BrandTotal implements Serializable {
    private String brandId;
    private String brandName;
    private int total;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public BrandTotal() {
    }

    public BrandTotal(BrandStatistics bs) {
        this.brandId = bs.getBrandId();
        this.brandName = bs.getBrandName();
        this.total = bs.getTotal();
        this.updateTime = bs.getUpdateTime();
    }
}
